/**
 * EasyBeans
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MethodPermission.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.xml.struct;

import org.ow2.util.ee.metadata.ejbjar.api.xml.struct.IMessageDestination;

/**
 * Defines a message destination object used within an assembly descriptor.
 * @author Florent BENOIT
 */
public class MessageDestination implements IMessageDestination {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = -5480995989512024015L;

    /**
     * Name of the message-destination.
     */
    private String name = null;

    /**
     * JNDI name of the message-destination.
     */
    private String mappedName = null;


    /**
     * @return the name of the message-destination.
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the name of the message destination.
     * @param messageDestinationName the name of the message destination.
     */
    public void setName(final String messageDestinationName) {
        this.name = messageDestinationName;
    }

    /**
     * @return the JNDI name of the message-destination.
     */
    public String getMappedName() {
        return mappedName;
    }

    /**
     * Sets the JNDI name of the message destination.
     * @param mappedName the JNDI name of the message destination.
     */
    public void setMappedName(final String mappedName) {
        this.mappedName = mappedName;
    }
}
